function f=void_fill(v,x,y);
%VOID_FILL - ???
%
%   Usage:
%      f=void_fill(v,x,y);

f=v;
pos1=find(isnan(f));
pos2=find(~isnan(f));
for n=1:length(pos1),
   distance=sqrt((x(pos1(n))-x(pos2)).^2+(y(pos1(n))-y(pos2)).^2);
[junk,i]=min(distance);
f(pos1(n))=f(pos2(i));
end

